﻿@using DevExpress.Web.Mvc;
@using DevExpress.Web.Mvc.UI;
@using System.Web.UI.WebControls;
@using Portal.Controllers;
@using Portal.Models.SupplierFeedbackPart;

@model Toyota.Common.Web.MVC.ModelHolder 
           
@using (Html.BeginForm("PartialFooterSupplierFeedbackPartForecast", "SupplierFeedbackPart", FormMethod.Post, new { enctype = "multipart/form-data" }))
{
    <table cellpadding="0" cellspacing="0" style="width:100%; height:100%; padding: 10px;">
        <tr style="height: 20px;">
            <td style="width: 65px; vertical-align: top; padding-top: 10px">
                @Html.Label("Upload File")
            </td>
            <td colspan="2" style="padding-top: 5px">
                @Html.DevExpress().UploadControl( 
                    upload => { 
                        upload.Name = "SFPFFileUpload";
                        
                        upload.CallbackRouteValues = new { 
                            Controller = "SupplierFeedbackPart", 
                            Action = "SFPFFileUploadProcess", 
                            updateParameterList = "" 
                        }; 
                                                
                        upload.Width = Unit.Percentage(100);
                        upload.ShowProgressPanel = true; 
                        upload.UploadMode = UploadControlUploadMode.Advanced; 
                        
                        upload.ValidationSettings.MaxFileSize = 10000000;
                        upload.ValidationSettings.MaxFileSizeErrorText = "The size of file uploaded larger than allowed"; 
                        upload.ValidationSettings.AllowedFileExtensions = new String[] { ".xls" }; 
                        upload.ValidationSettings.ShowErrors = true; 
                        
                        //upload.ClientSideEvents.UploadingProgressChanged = "OnSFPFFileUploadUploadingProgressChanged"; 
                        //upload.ClientSideEvents.FileUploadStart = "OnSFPFFileUploadFileUploadStart"; 
                        upload.ClientSideEvents.FileUploadComplete = "OnSFPFFileUploadFileUploadComplete"; 
                        //upload.ClientSideEvents.FilesUploadComplete = "OnSFPFFilesUploadFileUploadComplete"; 
                        
                        upload.CancelButton.Text = ""; 
                        upload.CancelButtonSpacing = Unit.Pixel(0);

                        upload.Enabled = Convert.ToBoolean(DataBinder.Eval(Model.GetModel<SupplierFeedbackPartStatus>(), "IS_CONFIRMED")) == true ? false : true;
                    }).GetHtml()
            </td>
        </tr>
        <tr style="height:5px"></tr> @* row spacing *@
        <tr style="height: 20px;">
            <td>
            </td>
            <td>
                @Html.DevExpress().Label(
                setting =>
                {
                    setting.Text = "Download Template";
                }
            ).GetHtml()
                @Html.DevExpress().HyperLink(
                    setting =>
                    {
                        setting.Name = "SFPFDownloadTemplateLink";
                        setting.Properties.Text = "Here";
                        setting.Properties.Style.Font.Underline = true;
                        setting.Properties.ClientSideEvents.Click = "OnSFPFDownloadTemplateLinkClick";
                        setting.ControlStyle.Cursor = "pointer";
                        setting.ControlStyle.VerticalAlign = VerticalAlign.Top;
                    }
                ).GetHtml()
            </td>
            <td>
            </td>
        </tr>
        <tr></tr> @* row spacing *@
        <tr style="height:50px;">
            <td colspan="3" align="right" style="vertical-align:bottom">
                @Html.DevExpress().Button(
                    setting =>
                    {
                        setting.Name = "SFPFUploadButton";
                        setting.Text = "Upload";
                        setting.Width = Unit.Pixel(60);
                        setting.ClientSideEvents.Click = "OnSFPFUploadButtonClick";

                        setting.Enabled = Convert.ToBoolean(DataBinder.Eval(Model.GetModel<SupplierFeedbackPartStatus>(), "IS_CONFIRMED")) == true ? false : true;
                    }
                ).GetHtml()
            </td>
        </tr>
    </table>
}
